START TRANSACTION;

--
-- Перенос ФИО пользователей в таблицу `accounts`
--

ALTER TABLE `accounts`
  ADD COLUMN `LastName` varchar(30) CHARACTER SET utf8 NOT NULL DEFAULT '' AFTER `EMail`,
  ADD COLUMN `FirstName` varchar(30) CHARACTER SET utf8 NOT NULL DEFAULT '' AFTER `LastName`,
  ADD COLUMN `SecondName` varchar(30) CHARACTER SET utf8 DEFAULT '' AFTER `FirstName`;

UPDATE `accounts`
  INNER JOIN `students`
    ON `accounts`.ID = `students`.AccountID
SET `accounts`.LastName = `students`.LastName,
  `accounts`.FirstName = `students`.FirstName,
  `accounts`.SecondName = `students`.SecondName;

UPDATE `accounts`
  INNER JOIN `teachers`
    ON `accounts`.ID = `teachers`.AccountID
SET `accounts`.LastName = `teachers`.LastName,
  `accounts`.FirstName = `teachers`.FirstName,
  `accounts`.SecondName = `teachers`.SecondName;

ALTER TABLE `accounts`
  ALTER COLUMN `LastName` DROP DEFAULT,
  ALTER COLUMN `FirstName` DROP DEFAULT,
  ALTER COLUMN `SecondName` DROP DEFAULT;

ALTER TABLE `students`
  DROP COLUMN `LastName`,
  DROP COLUMN `FirstName`,
  DROP COLUMN `SecondName`;

ALTER TABLE `teachers`
  DROP COLUMN `LastName`,
  DROP COLUMN `FirstName`,
  DROP COLUMN `SecondName`;

COMMIT;